package com.yijia.integral.service;

import java.util.List;
import com.yijia.integral.domain.IntegralWares;

/**
 * 【请填写功能名称】Service接口
 *
 * @author yijia
 * @date 2021-03-01
 */
public interface IIntegralWaresService
{
    /**
     * 查询积分商品管理
     *
     * @param id 积分商品管理ID
     * @return 积分商品管理
     */
    public IntegralWares selectIntegralWaresById(Long id);

    /**
     * 查询积分商品管理列表
     *
     * @param integralWares 积分商品管理
     * @return 积分商品管理集合
     */
    public List<IntegralWares> selectIntegralWaresList(IntegralWares integralWares);

    /**
     * 新增积分商品管理
     *
     * @param integralWares 积分商品管理
     * @return 结果
     */
    public int insertIntegralWares(IntegralWares integralWares);

    /**
     * 修改积分商品管理。默认删除再做新增
     *
     * @param integralWares 积分商品管理
     * @return 结果
     */
    public int updateIntegralWares(IntegralWares integralWares);

    /**
     * 修改积分商品管理
     *
     * @param integralWares 积分商品管理
     * @return 结果
     */
    public int  editInfoWares(IntegralWares integralWares);
    /**
     * 批量删除积分商品管理
     *
     * @param ids 需要删除的积分商品管理ID
     * @return 结果
     */
    public int deleteIntegralWaresByIds(Long[] ids);

    /**
     * 删除积分商品管理信息
     *
     * @param id 积分商品管理ID
     * @return 结果
     */
    public int deleteIntegralWaresById(Long id);


}
